Overview
DELETE
/bucket/access-groups/{groupId}bucketDelete a custom access group (cascades members + grants)
Delete a record from access-groups by groupId.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- groupIdpathstring
Responses
204
Deleted
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}409
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/bucket/access-groups/{groupId}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();